Subject: Re: [Linux-fbdev-devel] [PATCH 1/3] radeonfb: Fix 64 bits resources on 32 bits archs

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 23 Apr 2008 19:40:33 +1000

On Wed, 2008-04-23 at 11:32 +0200, Michel Dänzer wrote:
> > X is doing a mmap of /dev/mem instead of /dev/fb ?
> > 
> > You can normally map the fb mapping /dev/fb and then map the
> registers
> > using /dev/fb at an offset beyond the framebuffer (fix->smem_len).
> > 
> > If X is using /dev/mem instead, then it's being stupid and needs to
> be
> > fixed...
> 
> It's up to the driver, and again, the current radeon driver doesn't
> use
> radeonfb at all anymore...

Right. And I'm happy to go fix what remains, don't get me wrong here :-)
We all know how stupid legacy code can be !

I'll try to get some patches to expose a new version of the structure
sometimes in the upcoming week or two (we'll see what time permits) and
then see about fixing X drivers that need fixing, though hopefully with
pci-rework being upstream now, that shouldn't be many.

The main issue is directfb. I hope they'll catch up with the new ioctls.

Ben.